package fi.em.opplugin;

import fi.cas.opplugin.PayBillToolUtil;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.args.BeforeOperationArgs;
import kd.bos.servicehelper.operation.SaveServiceHelper;

/**
 * @description:代发处理单，传给九恒星
 */
public class AgentpaybillOpPlugin extends AbstractOperationServicePlugIn {




    @Override
    public void beforeExecuteOperationTransaction(BeforeOperationArgs e) {
        DynamicObject[] dynamicObjects = e.getDataEntities();
        String operationKey = e.getOperationKey();
        //关闭付款则将支付状态更改为支付关闭状态
        if ("sendtojhx".equals(operationKey)){
            String errMsg = "";
            errMsg =  PayBillToolUtil.agentpayBillForCBSSync(dynamicObjects);
            if(!errMsg.isEmpty()) {
                //将成功错误信息返回到前端
                e.setCancelMessage(errMsg);
                e.setCancel(true);
            }
        }
    }

}
